Package org.eclipse.pde.api.tools.annotations

# Annotation Interface NoInstantiate

@Documented @Target(TYPE) @Retention(CLASS) public @interface NoInstantiate
Classes tagged with this annotation are declaring they are not to be instantiated by clients. If this annotation is used anywhere except for classes it will be ignored.

Since:
  1.0

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
A message to provide contextual information to clients about why this annotations is applied.

## Element Details

### value

String value
A message to provide contextual information to clients about why this annotations is applied.

Since:
  1.3

Default:
  `"This class is not intended to be instantiated by clients."`